View Issue Details

IDProjectCategoryView StatusLast Update
0033541CommunityOCCT:Modeling Algorithmspublic2024-01-27 18:53
Reporterofmetal Assigned Toakaftasev  
PrioritynormalSeveritymajor 
Status newResolutionopen 
PlatformWindowsOSVC++ 2015 
Product Version7.7.1 
Target VersionUnscheduled 
Summary0033541: Modeling Algorithms - Simple sphere cut from cylinder fails
DescriptionCutting shape1 from shape2 produces invalid shape:
auto shape1 = BRepPrimAPI_MakeSphere(gp_Pnt(1, 1, 1), 1).Shape();
auto shape2 = BRepPrimAPI_MakeCylinder(1, 1).Shape();

If I slightly move shape1 down by 0.01, like this:
auto shape1 = BRepPrimAPI_MakeSphere(gp_Pnt(1, 1, 0.99), 1).Shape();

then operation succeeds.
Steps To Reproduce
auto shape1 = BRepPrimAPI_MakeSphere(gp_Pnt(1, 1, 1), 1).Shape();
auto shape2 = BRepPrimAPI_MakeCylinder(1, 1).Shape();

auto op = BRepAlgoAPI_Cut(shape2, shape1);
op.Build();
auto shape3 = op.Shape();

BRepAlgoAPI_Check analyzer;
analyzer.SetData(shape3);
analyzer.Perform();
printf("valid: %d\n", analyzer.IsValid());

Additional information
and documentation updates
This happens on the latest available release version 7.7.0 , but not on 7.4.0.
https://dev.opencascade.org/release
TagsNo tags attached.
Test case number

Activities

oan

2024-01-26 17:54

developer   ~0114990

Reported problem has no relation to Mesh, it is a Modeling Algo problem.
Changing category.

Issue History

Date Modified Username Field Change
2023-11-28 16:39 ofmetal New Issue
2023-11-28 16:39 ofmetal Assigned To => oan
2024-01-26 17:54 oan Note Added: 0114990
2024-01-26 17:54 oan Assigned To oan => akaftasev
2024-01-26 17:54 oan Category OCCT:Mesh => OCCT:Modeling Algorithms
2024-01-27 18:53 dpasukhi Target Version => Unscheduled
2024-01-27 18:53 dpasukhi Summary Simple sphere cut from cylinder fails => Modeling Algorithms - Simple sphere cut from cylinder fails
2024-01-27 18:53 dpasukhi Steps to Reproduce Updated